Rule-based renderer: if rule does not use correct case, "test" succeeds, but no features are rendered
Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13358

Description

Using the rule based renderer in the new symbology:

e.g. I have a layer with a field named ENVCLASS.  If I set up rules based on this class, but all with incorrect case (e.g. [[EnvClass]]=1),

then the "test" button says the rule works (returns 51 features or whatever), but no features are rendered.

If I change one of the rules to use the correct case (ENVCLASS), then all the features are rendered.

Associated revisions

Revision a0a4cd8d - 2010-12-16 11:19 PM - Martin Dobias

Use case insensitive comparison for column names. Fixes #3298

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14932 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c39235a3 - 2010-12-16 11:19 PM - Martin Dobias

Use case insensitive comparison for column names. Fixes #3298

git-svn-id: http://svn.osgeo.org/qgis/trunk@14932 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-12-06 03:47 PM - Alister Hood

Why does Trac set up random links (or whatever they are) with a question mark like the "EnvClass?" above?

I didn't put a "?".

#2 - 2010-12-07 01:13 AM - Nathan Woodrow

Regarding the random links: It does this because of the wiki link syntax. If you have two or more upper case letters in one word it thinks it's a internal wiki

page link.  Well that is how most wikis work, so I'm guessing it's the same.

#3 - 2010-12-12 08:02 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
The filter in the rule based renderer has now a query builder (in trunk), this way the problem should be fixed.

#4 - 2010-12-13 01:28 PM - Alister Hood

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

The query builder is very nice, but the bug is still valid.

The user can still manually type in the rule (either in the rule properties window or in the query builder).  If the case is incorrect the test button (either in the

rule properties window or in the query builder) will say the rule works, but nothing will be rendered.

#5 - 2010-12-16 02:20 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:c39235a3 (SVN r14933)
